org.jboss.resteasy.spi

## Class LoggableFailure

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure
        - - org.jboss.resteasy.spi.LoggableFailure

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    BadRequestException, ForbiddenException, InternalServerErrorException, MethodNotAllowedException, NoMessageBodyWriterFoundFailure, NotAcceptableException, ReaderException, UnauthorizedException, UnsupportedMediaTypeException, WriterException

      public class LoggableFailure
      extends Failure

  This exception should only be used by Resteasy integrators. Applications code should use WebApplicationException

  This is thrown by Resteasy runtime when a failure occurs. It will be logged by the runtime
  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.spi.Failure

      `errorCode, loggable, response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggableFailure(int errorCode)`
    `LoggableFailure(String s)`
    `LoggableFailure(String s, int errorCode)`
    `LoggableFailure(String s, Response response)`
    `LoggableFailure(String s, Throwable throwable)`
    `LoggableFailure(String s, Throwable throwable, int errorCode)`
    `LoggableFailure(String s, Throwable throwable, Response response)`
    `LoggableFailure(Throwable throwable)`
    `LoggableFailure(Throwable throwable, int errorCode)`
    `LoggableFailure(Throwable throwable, Response response)`

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.spi.Failure

      `getErrorCode, getResponse, isLoggable, setErrorCode, setLoggable, setResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggableFailure

          public LoggableFailure(String s,
                         Response response)

    - #### LoggableFailure

          public LoggableFailure(String s,
                         Throwable throwable,
                         Response response)

    - #### LoggableFailure

          public LoggableFailure(Throwable throwable,
                         Response response)

    - #### LoggableFailure

          public LoggableFailure(String s,
                         Throwable throwable)

    - #### LoggableFailure

          public LoggableFailure(Throwable throwable)

    - #### LoggableFailure

          public LoggableFailure(String s)

    - #### LoggableFailure

          public LoggableFailure(int errorCode)

    - #### LoggableFailure

          public LoggableFailure(String s,
                         int errorCode)

    - #### LoggableFailure

          public LoggableFailure(String s,
                         Throwable throwable,
                         int errorCode)

    - #### LoggableFailure

          public LoggableFailure(Throwable throwable,
                         int errorCode)

Copyright © 2014. All Rights Reserved.